Package org.apache.catalina.valves

## Class AbstractAccessLogValve.ElapsedTimeElement

- java.lang.Object
- - org.apache.catalina.valves.AbstractAccessLogValve.ElapsedTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  AbstractAccessLogValve

    protected static class AbstractAccessLogValve.ElapsedTimeElement
    extends java.lang.Object
    implements AbstractAccessLogValve.AccessLogElement

write time taken to process the request - %D, %T

### Constructor Summary

Constructors
`ElapsedTimeElement​(boolean millis)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement​(java.io.CharArrayWriter buf, java.util.Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElapsedTimeElement

    public ElapsedTimeElement​(boolean millis)

Parameters:
  `millis` - `true`, write time in millis - %D, if `false`, write time in seconds - %T

### Method Detail

#### addElement

    public void addElement​(java.io.CharArrayWriter buf,
                           java.util.Date date,
                           Request request,
                           Response response,
                           long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`